process-extras-0.7.1: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.Chars

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> Chars -> IO (ExitCode, Chars, Chars)
- readCreateProcessWithExitCode :: CreateProcess -> Chars -> IO (ExitCode, Chars, Chars)

# Documentation

readProcessWithExitCode #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> Chars | standard input
-> IO (ExitCode, Chars, Chars) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode #

Arguments

:: CreateProcess | command and arguments to run
-> Chars | standard input
-> IO (ExitCode, Chars, Chars) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO Chars Char # | Like `readProcessWithExitCode`, but specialized for `Text`
Methods forceOutput :: Chars -> IO Chars # readChunks :: Handle -> IO [Chars] #